Menu
API настроек фронтенда
Note
Starting in Grafana 13,
/apiendpoints are being deprecated in favor of the/apisroute. Note that while Grafana is working on migrating existing APIs, currently there may not be an exact match to the legacy API you’re using.This change doesn’t disrupt or break your current setup. Legacy APIs are not being disabled and remain fully accessible and operative, but
/apiroutes will no longer be updated.To learn more refer to the new API structure in Grafana.
Получение настроек
GET /api/frontend/settings
Пример запроса:
GET /api/frontend/settings HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer <SERVICE_ACCOUNT_TOKEN>
Пример ответа:
HTTP/1.1 200
Content-Type: application/json
{
"allowOrgCreate":true,
"appSubUrl":"",
"buildInfo":{
"buildstamp":xxxxxx,
"commit":"vyyyy",
"version":"zzzzz"
},
"datasources":{
"datasourcename":{
"index":"grafana-dash",
"meta":{
"annotations":true,
"module":"plugins/datasource/grafana/datasource",
"name":"Grafana",
"partials":{
"annotations":"app/plugins/datasource/grafana/partials/annotations.editor.html",
"config":"app/plugins/datasource/grafana/partials/config.html"
},
"pluginType":"datasource",
"serviceName":"Grafana",
"type":"grafanasearch"
}
}
},
"defaultDatasource": "Grafana"
}
API входа
Продление сессии на основе cookie «запомнить меня»
GET /api/login/ping
Пример запроса:
GET /api/login/ping HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer <SERVICE_ACCOUNT_TOKEN>
Пример ответа:
HTTP/1.1 200
Content-Type: application/json
{"message": "Logged in"}
API состояния
Возвращает информацию о состоянии Grafana
GET /api/health
Пример запроса
GET /api/health
Accept: application/json
Пример ответа:
HTTP/1.1 200 OK
{
"commit": "087143285",
"database": "ok",
"version": "5.1.3"
}